summaryrefslogtreecommitdiffstats
path: root/source/l
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2020-11-28 19:21:58 +0000
committer Eric Hameleers <alien@slackware.com>2020-11-29 08:59:51 +0100
commit6d1a4c21901f1ffa1b3ac962c0bcc5d182c58bfe (patch)
tree2947df129341fe9a8634c8e466a05417e34c94a6 /source/l
parentf7c461c24b8544648a3ed3f6a9d92ef51e50af43 (diff)
downloadcurrent-6d1a4c21901f1ffa1b3ac962c0bcc5d182c58bfe.tar.gz
current-6d1a4c21901f1ffa1b3ac962c0bcc5d182c58bfe.tar.xz
Sat Nov 28 19:21:58 UTC 202020201128192158
a/sysvinit-2.98-x86_64-1.txz: Upgraded. d/ninja-1.10.2-x86_64-1.txz: Upgraded. l/glibmm-2.64.4-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/l')
-rwxr-xr-xsource/l/glibmm/glibmm.SlackBuild41
-rw-r--r--source/l/qt/slack-desc2
-rw-r--r--source/l/qt5/slack-desc2
3 files changed, 29 insertions, 16 deletions
diff --git a/source/l/glibmm/glibmm.SlackBuild b/source/l/glibmm/glibmm.SlackBuild
index aa1432bb4..51a5abe9b 100755
--- a/source/l/glibmm/glibmm.SlackBuild
+++ b/source/l/glibmm/glibmm.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2015, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2015, 2018, 2020 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -74,22 +74,27 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS -std=c++11" \
- ./configure \
+# Configure, build, and install:
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+mkdir meson-build
+cd meson-build
+meson setup \
--prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --libdir=lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/libexec \
+ --bindir=/usr/bin \
+ --sbindir=/usr/sbin \
+ --includedir=/usr/include \
+ --datadir=/usr/share \
+ --mandir=/usr/man \
--sysconfdir=/etc \
--localstatedir=/var \
- --docdir=/usr/doc/$PKGNAM-$VERSION \
- --enable-static=no \
- --build=$ARCH-slackware-linux || exit 1
-
-make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG || exit 1
-
-# Don't ship .la files:
-rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+ --buildtype=release \
+ .. || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
+cd ..
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
@@ -107,6 +112,14 @@ if [ -r ChangeLog ]; then
touch -r ChangeLog $DOCSDIR/ChangeLog
fi
+# If there's a NEWS file, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r NEWS ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat NEWS | head -n 1000 > $DOCSDIR/NEWS
+ touch -r NEWS $DOCSDIR/NEWS
+fi
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
diff --git a/source/l/qt/slack-desc b/source/l/qt/slack-desc
index 955b3af1c..f8051460f 100644
--- a/source/l/qt/slack-desc
+++ b/source/l/qt/slack-desc
@@ -6,7 +6,7 @@
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
-qt: qt (a multi-platform C++ graphical user interface toolkit)
+qt: qt (a C++ graphical user interface toolkit)
qt:
qt: Qt is a complete and well-developed object-oriented framework for
qt: developing graphical user interface (GUI) applications using C++.
diff --git a/source/l/qt5/slack-desc b/source/l/qt5/slack-desc
index d9b246024..9dbcba20c 100644
--- a/source/l/qt5/slack-desc
+++ b/source/l/qt5/slack-desc
@@ -6,7 +6,7 @@
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
-qt5: qt5 (a multi-platform C++ graphical user interface toolkit)
+qt5: qt5 (a C++ graphical user interface toolkit)
qt5:
qt5: Qt is a complete and well-developed object-oriented framework for
qt5: developing graphical user interface (GUI) applications using C++.